Skip to main content
POST
/
orgs
/
{org_id}
/
views
Create a view
curl --request POST \
  --url https://api.useinvent.com/orgs/{org_id}/views \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "table_id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "config": {
    "shared": {},
    "board": {
      "key": "<string>",
      "hide_empty_groups": true,
      "card_fields": [
        "<string>"
      ],
      "columns": [
        {
          "key": "<string>",
          "visible": true
        }
      ],
      "date": {},
      "number": {
        "from": 123,
        "to": 123,
        "step": 123
      }
    },
    "table": {
      "columns": [
        {
          "key": "<string>",
          "visible": true,
          "sticky": true,
          "width": 1015
        }
      ]
    },
    "calendar": {
      "key": "<string>",
      "show_weekends": true
    },
    "timeline": {
      "key": "<string>",
      "end_key": "<string>"
    },
    "list": {
      "fields": [
        "<string>"
      ]
    },
    "gallery": {
      "cover_key": "<string>",
      "card_fields": [
        "<string>"
      ]
    }
  },
  "sort": {
    "key": "<string>"
  },
  "filter": {
    "type": "rule",
    "key": "<string>",
    "value": "<unknown>"
  }
}
'
import requests

url = "https://api.useinvent.com/orgs/{org_id}/views"

payload = {
"table_id": "<string>",
"name": "<string>",
"description": "<string>",
"config": {
"shared": {},
"board": {
"key": "<string>",
"hide_empty_groups": True,
"card_fields": ["<string>"],
"columns": [
{
"key": "<string>",
"visible": True
}
],
"date": {},
"number": {
"from": 123,
"to": 123,
"step": 123
}
},
"table": { "columns": [
{
"key": "<string>",
"visible": True,
"sticky": True,
"width": 1015
}
] },
"calendar": {
"key": "<string>",
"show_weekends": True
},
"timeline": {
"key": "<string>",
"end_key": "<string>"
},
"list": { "fields": ["<string>"] },
"gallery": {
"cover_key": "<string>",
"card_fields": ["<string>"]
}
},
"sort": { "key": "<string>" },
"filter": {
"type": "rule",
"key": "<string>",
"value": "<unknown>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
table_id: '<string>',
name: '<string>',
description: '<string>',
config: {
shared: {},
board: {
key: '<string>',
hide_empty_groups: true,
card_fields: ['<string>'],
columns: [{key: '<string>', visible: true}],
date: {},
number: {from: 123, to: 123, step: 123}
},
table: {columns: [{key: '<string>', visible: true, sticky: true, width: 1015}]},
calendar: {key: '<string>', show_weekends: true},
timeline: {key: '<string>', end_key: '<string>'},
list: {fields: ['<string>']},
gallery: {cover_key: '<string>', card_fields: ['<string>']}
},
sort: {key: '<string>'},
filter: {type: 'rule', key: '<string>', value: '<unknown>'}
})
};

fetch('https://api.useinvent.com/orgs/{org_id}/views', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "table_id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "config": {
    "shared": {},
    "board": {
      "key": "<string>",
      "hide_empty_groups": true,
      "card_fields": [
        "<string>"
      ],
      "columns": [
        {
          "key": "<string>",
          "visible": true
        }
      ],
      "date": {},
      "number": {
        "from": 123,
        "to": 123,
        "step": 123
      }
    },
    "table": {
      "columns": [
        {
          "key": "<string>",
          "visible": true,
          "sticky": true,
          "width": 1015
        }
      ]
    },
    "calendar": {
      "key": "<string>",
      "show_weekends": true
    },
    "timeline": {
      "key": "<string>",
      "end_key": "<string>"
    },
    "list": {
      "fields": [
        "<string>"
      ]
    },
    "gallery": {
      "cover_key": "<string>",
      "card_fields": [
        "<string>"
      ]
    }
  },
  "sort": {
    "key": "<string>"
  },
  "filter": {
    "type": "rule",
    "key": "<string>",
    "value": "<unknown>"
  },
  "position": 123,
  "is_default": true,
  "show_in_sidebar": true,
  "archived": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer token authentication using your API key

Path Parameters

org_id
string
required

The ID of the org

Body

table_id
string
required
Maximum string length: 128
kind
enum<string>
required
Available options:
table,
board,
calendar,
timeline,
list,
gallery
name
string
Required string length: 1 - 128
description
string
Maximum string length: 512
color
enum<string>

The name of the color to use in the UI

Available options:
red,
orange,
amber,
yellow,
lime,
green,
teal,
cyan,
sky,
blue,
indigo,
violet,
purple,
fuchsia,
pink,
rose,
neutral
config
object
sort
object | null
filter
object

Response

200 - application/json
id
string
required
table_id
string
required
table_type
enum<string>
required
Available options:
custom,
contacts,
chats,
users
name
string | null
required
description
string | null
required
color
enum<string>
required

The name of the color to use in the UI

Available options:
red,
orange,
amber,
yellow,
lime,
green,
teal,
cyan,
sky,
blue,
indigo,
violet,
purple,
fuchsia,
pink,
rose,
neutral
kind
enum<string>
required
Available options:
table,
board,
calendar,
timeline,
list,
gallery
config
object
required
sort
object | null
required
filter
object
required
position
integer
required
is_default
boolean
required
show_in_sidebar
boolean
required
archived
boolean
required
created_at
string<date-time> | null
required
updated_at
string<date-time> | null
required